#! /bin/sh

_term() {
    echo "Stopping Process!"
    kill -TERM "$fpm" 2>/dev/null
}

trap _term SIGTERM

if [ ! -f .env ]
then
  pwd
  ls -alh
  cp .env.example .env
  php artisan key:generate
fi

$@ &

fpm=$!
wait "$fpm"