<figure id="route-finder-addon">
    <div id="vehicle-chooser">
        <label class="radio-inline" title="Fußgänger">
            <input type="radio" name="vehicle" value="foot">
            <div><img src="/img/silhouette-walk.png" height="20px" /></div>
        </label>
        <label class="radio-inline" title="Fahrrad">
            <input type="radio" name="vehicle" value="bicycle">
            <div><img src="/img/bike.png" height="20px" /></div>
        </label>
        <label class="radio-inline" title="Auto">
            <input type="radio" name="vehicle" value="car">
            <div><img src="/img/car.png" height="20px" /></div>
        </label>
        <button type="button" class="btn btn-sm btn-success start-navigation inactive">Navigation
            starten</button>
        <button type="button" class="close" aria-label="Close" title="Routenplanung abbrechen">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="results">
        <div class="container-fluid wait-for-search">
            <p>
                Ergebnisse werden geladen
            </p>
            <div class="no-internet">
                <div class="status">
                    <p>
                        <span class="glyphicon glyphicon-warning-sign" style="color:red;"></span> Schlechte
                        Internetverbindung
                    </p>

                </div>
            </div>
            <div>
                <img src="/img/ajax-loader.gif" alt="loading..." id="loading-search-results" />
            </div>
        </div>
        <div class="results-container">
        </div>
    </div>
    <div id="waypoint-list-container">
        <div class="mobiles-window"></div>
        <div class="route-information">
            <div class="length"></div>
            <div class="duration"></div>
        </div>
        <div class="container-fluid wait-for-search">
            <p>
                Route wird berechnet
            </p>
            <div class="no-internet">
                <div class="status">
                    <p>
                        <span class="glyphicon glyphicon-warning-sign" style="color:red;"></span> Schlechte
                        Internetverbindung
                    </p>

                </div>
            </div>
            <div>
                <img src="/img/ajax-loader.gif" alt="loading..." id="loading-search-results" />
            </div>
        </div>
        <ul id="waypoint-list" class="list-unstyled"></ul>
    </div>
</figure>